Cantera 2.6.0

Namespaces | Macros | Typedefs | Functions
fmt.h File Reference

Wrapper for either system-installed or local headers for fmt. More...

`#include "ct_defs.h"`
`#include "fmt/format.h"`
`#include "fmt/ostream.h"`
Include dependency graph for fmt.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | fmt
| Versions 6.2.0 and 6.2.1 of fmtlib do not include this define before they include windows.h, breaking builds on Windows.

## Macros
#define | FMT_NO_FMT_STRING_ALIAS
| Do not use the fmt macro from fmtlib because it shadows a function of the same name in kinetics/Group.h. More...

## Typedefs
using | memory_buffer = MemoryWriter

## Functions
template<typename... Args>
void | format_to (fmt::memory_buffer &b, Args... args)
std::string | to_string (fmt::memory_buffer &b)
template<typename... Args>
void | fmt_append (fmt::memory_buffer &b, Args... args)

## Detailed Description

Wrapper for either system-installed or local headers for fmt.

Definition in file fmt.h.

## Macro Definition Documentation

## ◆ FMT_NO_FMT_STRING_ALIAS

#define FMT_NO_FMT_STRING_ALIAS

Do not use the fmt macro from fmtlib because it shadows a function of the same name in kinetics/Group.h.

Definition at line 8 of file fmt.h.

## Function Documentation

## ◆ format_to()

void format_to | ( | fmt::memory_buffer & | b,
|  | Args... | args
| ) |  |

Definition at line 35 of file fmt.h.

## ◆ to_string()

std::string to_string | ( | fmt::memory_buffer & | b | ) |
| inline

Definition at line 38 of file fmt.h.

## ◆ fmt_append()

void fmt_append | ( | fmt::memory_buffer & | b,
|  | Args... | args
| ) |  |

Definition at line 45 of file fmt.h.